CREAL(3)

NAME
creal, crealf, creall - get real part of a complex number

SYNOPSIS
#include <complex.h>

double creal(double complex z);
float crealf(float complex z);
long double creall(long double complex z);

Link with -lm.

DESCRIPTION
The creal() function returns the real part of the complex number z.

One has:
    z = creal(z) + I * cimag(z)

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
C99.

NOTES
The gcc supports also __real__. That is a GNU extension.

SEE ALSO
cabs(3), cimag(3), complex(7)

COLOPHON
This page is part of release 3.52 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.